function skill106()

p = flag.GetBattleValue(33032)

for wid=1,9,1 do

    pid=battle.GetPlacePlayerID(wid)
    
	if battle.CheckPlayerPlace(wid) and  battle.CheckPlayerStat(pid,12)==1 then
		
	player.RemoveStat(0,pid,12)
	player.AddStat(0,pid,100,46,5)
	if p==2 then
        player.ChangeDP(0,pid,5)
        player.CreateSE(pid,3911)
    end
	
	end
end

end